Xposed-Framework-for-Android-Guide[1]

Arriva Xposed 2.4 beta con supporto ad Android 4.4. Kit Kat

Nicola Randone -

A poca distanza dalle prime voci di corridoio in merito, il popolare framework Xposed di rovo89 arriva sul forum di XDA con un nuovo aggiornamento (per adesso beta) targato 2.4 dove viene annunciato il supporto ad Android 4.4 Kit Kat.

Lo sviluppatore assicura che con la nuova versione anche i vecchi moduli continueranno a funzionare, sempre che non si basino su AOSP interni: un esempio fra tanti l’icona della batteria che, in Kit Kat, da immagine animata è diventata un oggetto dinamico controllato da Java, in questo caso qualsiasi modulo che prevede la sostituzione dell’immagine della batteria non funzionerà più.

Tutti gli errori verranno salvati in un file che sarà possibile visualizzare con un apposito modulo dell’applicazione, in tal modo potrete verificare gli errori generati dai vecchi moduli ed eventualmente informarne l’autore.

Xposed 2.4 beta 1 è scaricabile gratuitamente a questo indirizzo; se siete utilizzatori del framework e avete già Kit Kat sul vostro terminale, provatelo e fateci sapere le vostre impressioni.

Per maggiori informazioni, specie quelle riservate agli sviluppatori, consultate il relativo thread su XDA.

Fonte: XDA-Developers